Uploaded image for project: 'XWiki Commons'
  1. XWiki Commons
  2. XCOMMONS-1367

Upgrade to JUnit 5.2.0 and Maven Surefire plugin 2.22.0

    Details

    • Difficulty:
      Unknown
    • Documentation:
      N/A
    • Documentation in Release Notes:
      N/A
    • Similar issues:

      Description

      See https://issues.apache.org/jira/issues/?jql=project%20%3D%20SUREFIRE%20AND%20fixVersion%20in%20(2.20%2C%202.20.1%2C%202.21.0).

      Surefire seems to have issue with Junit 5 after 2.19.1. It certainly does not seems to work with 20 and 20.1, need to be checked with 21.0 but we might have to wait for https://issues.apache.org/jira/browse/SUREFIRE-1330.

      See also https://github.com/junit-team/junit5/issues/801 for the junit5 side.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                tmortagne Thomas Mortagne
                Reporter:
                tmortagne Thomas Mortagne
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: